#!/bin/bash
#数据库用户名
dbuser='root'
#数据库用密码
dbpasswd='zhonghui0123'
#需要备份的数据库，多个数据库用空格分隔
dbname='labourunion_opr'
#备份时间
backtime="$(date "+%Y%m%d%H%M%S")"
#日志备份路径
logpath='/etc/mysqlbackup/backup_logs'
#数据备份路径
datapath='/etc/mysqlbackup/backup_data'
#备份数据
mysqldump -u ${dbuser} -p${dbpasswd} ${dbname} > "${datapath}/${dbname}"-"${backtime}.sql" 2>> ${logpath}/mysqllog.log;
#若备份成功则进行进行数据压缩
if [ "$?" == 0 ];then
cd $datapath
#将数据压缩节省存储空间
tar jcf "${dbname}"-"${table}"-"${backtime}.tar.bz2" "${dbname}"-"${backtime}.sql" > /dev/null
#删除原始文件，只留压缩后文件
rm -f "${datapath}/${dbname}"-"${backtime}.sql"
#删除七天前备份，也就是只保存7天内的备份
find $datapath -name "*.tar.bz2" -type f -mtime +7 -exec rm -rf {} \; > /dev/null 2>&1
echo ${backtime}-"数据库 ${dbname} 备份成功!!" >> ${logpath}/mysqllog.log
else
#否则，备份失败则进行以下操作
echo ${backtime}-"数据库 ${dbname} 备份失败!!" >> ${logpath}/mysqllog.log
fi